/* @font-face {
  font-family: 'BitCountGrid';
  src: url('fonts/BitCountGrid.ttf') format('truetype-variations');
  font-weight: 100 900;
  font-style: normal;
  display: swap;

  font-family: 'Tourney', system-ui;
  font-style: normal;
  font-weight: 500;
} */

@font-face {
  font-family: 'Wallpoet';
  src: url('fonts/Wallpoet-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  display: swap;
}

@font-face {
  font-family: 'Tektur';
  src: url('fonts/Tektur-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  display: swap;
}

@font-face {
  font-family: 'Tektur';
  src: url('fonts/Tektur-Bold.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
  display: swap;
}

/* @font-face {
  font-family: 'Quantico';
  src: url('fonts/Quantico-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  display: swap;
}

@font-face {
  font-family: 'Quantico';
  src: url('fonts/Quantico-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
  display: swap;
}

@font-face {
  font-family: 'Quantico';
  src: url('fonts/Quantico-Bold.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
  display: swap;
}

@font-face {
  font-family: 'Quantico';
  src: url('fonts/Quantico-BoldItalic.ttf') format('truetype');
  font-weight: 900;
  font-style: italic;
  display: swap;
} */

:root {
  --color: #000000d9;
  --border: 2px solid var(--color);
  --shadow: 4px 5px 0 #0d0d0d;
  --color-accent: #419ad9;
  --color-accent-ltr: #d5efff;
  --color-accent-lt: #6eb4e6;
  --color-accent-dk: #2389d1;
  --color-adjacent-ltr: #fffade;
  --color-adjacent: #fce772;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  background-repeat: no-repeat;
}

* {
  padding: 0;
  margin: 0;
  scrollbar-width: thin;
  scrollbar-color: hsla(0deg, 0%, 0%, 0.85) transparent;
}

*:focus {
  outline-color: var(--color-adjacent);
}

html {
  text-size-adjust: none;
  line-height: 1.5;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 16px;
  -webkit-font-smoothing: antialiased;
  block-size: 100%;
  color: var(--color);
  background-color: var(--color-accent-ltr);
  background-position: center;
  background-repeat: repeat;
  background-image: radial-gradient(var(--dot-color, #333) var(--dot-size, 1px), transparent 0);
  background-size: var(--dot-space, 2.5rem) var(--dot-space, 2.5rem);
}

body {
  padding: 0 1rem;
  min-block-size: 100%;
  background-image: linear-gradient(90deg, #fff 0%, transparent 25%, transparent 75%, #fff 100%);
}

a {
  color: var(--color-accent-dk);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1.1;
  font-family: 'Tektur', sans-serif;
  font-weight: 400;
}

input,
label,
button,
h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1.1;
  letter-spacing: 0.05ch;
}

img,
iframe,
audio,
video,
canvas,
svg:not([role='icon']) {
  display: block;
  max-inline-size: 100%;
  block-size: auto;
}

svg:not([fill]) {
  fill: currentColor;
}

input,
button,
textarea,
select {
  font: inherit;
}

textarea {
  resize: vertical;
}

fieldset,
iframe {
  border: none;
}

table {
  border-collapse: collapse;
}

abbr {
  text-decoration: none;
}

abbr[title] {
  cursor: help;
  text-decoration: underline dotted;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -0.25em;
}

sup {
  top: -0.5em;
}

img[data-role='icon'] {
  width: 1rem;
  height: 1rem;
  display: inline-block;
  vertical-align: -2px;
}

button {
  border: var(--border);
  border-radius: 0.5rem;
  background-color: var(--color-accent-dk);
  height: 2rem;
  line-height: calc(2rem - 4px);
  color: #fff;
  box-shadow: 1px 2px 0 #0d0d0d;
  padding: 0 1rem;
  font-family: 'Tektur', sans-serif;
  cursor: pointer;
}

:disabled {
  opacity: 0.8;
  cursor: not-allowed;
}

:focus-visible {
  outline-offset: 0.2rem;
}

#main-heading {
  margin: auto;
  max-width: 40rem;
  font-weight: normal;
  padding-top: 0.75rem;
  position: relative;
}

#main-heading:after {
  content: '';
  display: block;
  border-left: 3rem solid var(--color-accent);
  border-right: 3rem solid var(--color-accent);
  width: 7rem;
  height: 10rem;
  transform: skew(-25deg, 0deg);
  position: absolute;
  right: -1%;
  bottom: -1rem;
}

#main-heading h1 {
  text-indent: -3ch;
  font-size: 2.25rem;
  line-height: 1;
  font-family: 'Wallpoet', sans-serif;
}

#main-content {
  margin: 1rem auto;
  max-width: 44rem;
  border: var(--border);
  border-radius: 1rem;
  padding: 3rem 1rem 1rem;
  box-shadow: var(--shadow);
  background: #fff;
  position: relative;
}

#main-content .main-content-item {
  margin-top: -2rem;
}

#main-footer {
  margin: 1rem auto 0;
  max-width: 40rem;
  padding: 1rem 0;
}

#main-footer a:hover {
  text-decoration: none;
}

#main-footer .copy {
  display: block;
  text-align: center;
  font-style: italic;
  margin-top: 1rem;
}

#main-footer img[data-role='icon'] {
  margin-right: 4px;
}

.main-content-item {
  padding: 1rem 1rem 3rem 1rem;
  border-radius: 0.5rem;
  border: 2px solid transparent;
  position: relative;
}

.main-content-item:hover {
  background-color: var(--color-adjacent-ltr);
  border-color: var(--color);
  z-index: 1;
}

.main-content-item-title {
  font-size: 1.5rem;
}

.main-content-item-title a {
  text-decoration: none;
  color: inherit;
}

.main-content-item-title:hover {
  color: var(--color-accent-dk);
  text-decoration: underline;
}

.main-content-item-created {
  font-style: italic;
}

.main-content-item-description {
  margin: 0.5rem 0;
}

.main-content-item-cta {
  visibility: collapse;
  position: absolute;
  right: 1rem;
  bottom: 0.5rem;
}

.main-content-item:hover .main-content-item-cta {
  visibility: visible;
}

.main-content-lookup {
  list-style: none;
}

.main-content-lookup li {
  display: inline-block;
}

.main-content-lookup li:not(:last-child) {
  margin-right: 1ch;
}

.main-content-lookup a {
  text-decoration: none;
}

.main-content-lookup a:hover {
  text-decoration: underline;
}

.main-content-lookup img {
  margin-right: 4px;
}

.status-message {
  border-radius: 0.5rem;
  border: var(--border);
  box-shadow: var(--bxsh);
  position: fixed;
  bottom: 0.5rem;
  right: 0.5rem;
  z-index: 10;
  background-color: #fff;
  box-shadow: var(--shadow);
  line-height: 1.1;
  min-width: 12rem;
  padding: 0.5rem 1rem;
  opacity: 0;
  transform: translate(0, 2rem);
  transition:
    opacity 0.25s,
    transform 0.25s;
}

.status-message.active {
  opacity: 1;
  transform: none;
}

.status-message.success {
  background-color: #8fee94;
}

.status-message.error {
  background-color: #fe785b;
}

.status-message.warning {
  background-color: #f6d633;
}
